download_operations.h File Reference
`#include "definitions.h"`
`#include "../libUplink.h"`
Include dependency graph for download_operations.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

napi_value | download_infoc (napi_env env, napi_callback_info info)
| download_infoc function is called from the javascript file download_info returns information about the downloaded object . More...
napi_value | close_downloadc (napi_env env, napi_callback_info info)
| close_downloadc function is called from the javascript file close_downloadc closes the download . More...
napi_value | download_readc (napi_env env, napi_callback_info info)
| download_readc function is called from the javascript file download_readc reads the download . More...
napi_value | download_objectc (napi_env env, napi_callback_info info)
| download_objectc function is called from the javascript file download_objectc starts download to the specified key. More...

## Function Documentation

## close_downloadc()

napi_value close_downloadc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

close_downloadc function is called from the javascript file close_downloadc closes the download .

Here is the call graph for this function:

## download_infoc()

napi_value download_infoc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

download_infoc function is called from the javascript file download_info returns information about the downloaded object .

Here is the call graph for this function:

## download_objectc()

napi_value download_objectc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

download_objectc function is called from the javascript file download_objectc starts download to the specified key.

Here is the call graph for this function:

## download_readc()

napi_value download_readc | ( | napi_env | env,
|  | napi_callback_info | info
| ) |  |

download_readc function is called from the javascript file download_readc reads the download .

Here is the call graph for this function: